Skip to Content
Candidate

Read the candidate profile

GET
/developer/profile

The candidate's name, contact, location, work authorization and links: the facts GetMattered fills application forms with. Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Response Body

The profile.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X GET 'https://api.getmattered.com/api/v1/developer/profile'
Example Response
{
  "data": {
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "country": "string",
    "githubUrl": "string",
    "linkedinUrl": "string",
    "phone": "string",
    "portfolioUrl": "string",
    "relocationLocations": [
      "string"
    ],
    "state": "string",
    "willingToRelocate": true,
    "workAuthorization": "us_citizen",
    "zipCode": "string",
    "email": "string",
    "name": "string"
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}